#ifndef __WMSCONFIGDISPID_H_
#define __WMSCONFIGDISPID_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define DISPID_COLLECTION_LENGTH        9
#define DISPID_COLLECTION_COUNT         10
#define DISPID_COLLECTION_ADD           11
#define DISPID_COLLECTION_REMOVE        12
#define DISPID_COLLECTION_DIRECTORY     13

#define DISPID_SOURCEGROUP_COLLECTION_BEGIN       100
#define DISPID_SOURCEGROUP_COLLECTION_END         109

#define DISPID_SOURCEGROUP_COLLECTION_MOVE        100
#define DISPID_SOURCEGROUP_COLLECTION_ACTIVE      101
#define DISPID_SOURCEGROUP_COLLECTION_ADD         102
#define DISPID_SOURCEGROUP_COLLECTION_REMOVE      103

#define DISPID_SOURCEGROUP_START        110
#define DISPID_SOURCEGROUP_END          399

#define DISPID_SOURCEGROUP_NAME                     110
#define DISPID_SOURCEGROUP_SOURCECOUNT              111
#define DISPID_SOURCEGROUP_SOURCE                   112
#define DISPID_SOURCEGROUP_ADDSOURCE                113
#define DISPID_SOURCEGROUP_REMOVESOURCE             114
#define DISPID_SOURCEGROUP_ANNOTATION               115
#define DISPID_SOURCEGROUP_PROFILE                  116
#define DISPID_SOURCEGROUP_AUDIENCE_COLLECTION      118
#define DISPID_SOURCEGROUP_AUTOARCHIVE              119
#define DISPID_SOURCEGROUP_AUTOSETFILESOURCE        120
#define DISPID_SOURCEGROUP_PREPARETOENCODE          121
#define DISPID_SOURCEGROUP_TRANSFORMS               122
#define DISPID_SOURCEGROUP_SOURCEPLUGINS            123
#define DISPID_SOURCEGROUP_TRANSFORMPLUGINCOUNT     124
#define DISPID_SOURCEGROUP_TRANSFORMPLUGIN          125


#define DISPID_SOURCE_START             150
#define DISPID_SOURCE_END               199

#define DISPID_SOURCE_TYPE              150
#define DISPID_SOURCE_SETINPUT          151
#define DISPID_SOURCE_GETINPUT          152
#define DISPID_SOURCE_REPEAT            153
#define DISPID_SOURCE_MARKIN            154
#define DISPID_SOURCE_MARKOUT           155
#define DISPID_SOURCE_TRANSFORMS        156
#define DISPID_SOURCE_PREVIEWS          157
#define DISPID_SOURCE_POSTVIEWS         158
#define DISPID_SOURCE_SOURCEPLUGIN      159
#define DISPID_SOURCE_TRANSFORMPLUGINCOUNT  160
#define DISPID_SOURCE_TRANSFORMPLUGIN   161


#define DISPID_VIDEOSOURCE_PIXELFORMAT  163
#define DISPID_VIDEOSOURCE_CROPMODE     164
#define DISPID_VIDEOSOURCE_CROPLEFT     165
#define DISPID_VIDEOSOURCE_CROPTOP      166
#define DISPID_VIDEOSOURCE_CROPRIGHT    167
#define DISPID_VIDEOSOURCE_CROPBOTTOM   168
#define DISPID_VIDEOSOURCE_OPTIMIZATION 169

#define DISPID_DATAVIEWCOLLECTION_ADD       170
#define DISPID_DATAVIEWCOLLECTION_REMOVE    171
#define DISPID_DATAVIEWCOLLECTION_REMOVEALL 172
#define DISPID_POSTVIEWCOLLECTION_VIEWBANDWIDTH     173


#define DISPID_AUDIENCE_COLLECTION_START      330
#define DISPID_AUDIENCE_COLLECTION_END        330

#define DISPID_PROFILE_COLLECTION_START       330
#define DISPID_PROFILE_COLLECTION_END         339
#define DISPID_PROFILECOLLECTION_REFRESH      330

#define DISPID_PROFILE_START        350
#define DISPID_PROFILE_END          360

#define DISPID_PROFILE_NAME         350
#define DISPID_PROFILE_DESC         351
#define DISPID_PROFILE_MEDIACOUNT   352
#define DISPID_PROFILE_AUDIENCE_COLLECTION         353
#define DISPID_PROFILE_MBR          354
#define DISPID_PROFILE_MAXPACKETSIZE               355

#define DISPID_AUDIENCE_START           370
#define DISPID_AUDIENCE_END             380

#define DISPID_AUDIENCE_NAME            371
#define DISPID_AUDIENCE_BANDWIDTH       372
#define DISPID_AUDIENCE_SELECTED        373
#define DISPID_AUDIENCE_STREAMCOUNT		374
#define DISPID_AUDIENCE_STREAMBANDWIDTH 375

#define DISPID_TRANSFORMS_ADD           380
#define DISPID_TRANSFORMS_REMOVE        381
#define DISPID_TRANSFORMS_REMOVEALL     382
#define DISPID_TRANSFORMS_MOVE          383

#define DISPID_TRANSFORM_SETINPUT           384
#define DISPID_TRANSFORM_GETINPUT           385
#define DISPID_TRANSFORM_TRANSFORMPLUGIN    386


#define DISPID_ENCODING_START           400
#define DISPID_ENCODING_END             449

#define DISPID_ENCODING_PROFILENAME     400
#define DISPID_ENCODING_SHOWDETAILS     401
#define DISPID_ENCODING_AUDIENCES       402
#define DISPID_ENCODING_PROFILENAMES    403
#define DISPID_ENCODING_DESCRIPTION     404

#define DISPID_DISPLAYINFO_START        500
#define DISPID_DISPLAYINFO_END          510

#define DISPID_DISPLAYINFO_TITLE        500
#define DISPID_DISPLAYINFO_AUTHOR       501
#define DISPID_DISPLAYINFO_COPYRIGHT    502
#define DISPID_DISPLAYINFO_RATING       503
#define DISPID_DISPLAYINFO_DESCRIPTION  504

#define DISPID_ATTRIBUTES_START         511
#define DISPID_ATTRIBUTES_END           520

#define DISPID_ATTRIBUTES_ADD           511
#define DISPID_ATTRIBUTES_REMOVE        512
#define DISPID_ATTRIBUTES_REMOVEALL     513


#define DISPID_FILE_START               600
#define DISPID_FILE_END                 620

#define DISPID_FILE_LOCALFILENAME       600
#define DISPID_FILE_REMOTEFILENAME      601


//*
#define DISPID_FILE_FTPCOMMAND          611
#define DISPID_FILE_FTPUSERNAME         612
#define DISPID_FILE_FTPPASSWORD         613
//*/

#define DISPID_PLUGININFO_SCHEMETYPE    700
#define DISPID_PLUGININFO_CLSID         701
#define DISPID_PLUGININFO_NAME          702
#define DISPID_PLUGININFO_MEDIATYPE     703
#define DISPID_PLUGININFO_TYPE          704
#define DISPID_PLUGININFO_COPYRIGHT     705
#define DISPID_PLUGININFO_INFOURL       706
#define DISPID_PLUGININFO_RESOURCES     707
#define DISPID_PLUGININFO_PROPPAGE      708
//#define DISPID_PLUGININFO_VIEWPAGE      709
//#define DISPID_PLUGININFO_VIEWFLAGS     710
#define DISPID_PLUGININFO_INITDATA      711
#define DISPID_PLUGININFO_EXCLUSIVE     712
#define DISPID_PLUGININFO_HIDDEN        713
#define DISPID_PLUGININFO_TRANSFORMFLAGS 714

#define DISPID_TRANSFORMPLUGINMGR_REFRESH   730
#define DISPID_SOURCEPLUGINMGR_REFRESH      731

#define DISPID_ENCODER_BEGIN            1100
#define DISPID_ENCODER_END              1199

#define DISPID_ENCODER_LOAD             1101
#define DISPID_ENCODER_SAVE             1102
#define DISPID_ENCODER_START            1103
#define DISPID_ENCODER_STOP             1104
#define DISPID_ENCODER_ARCHIVE          1105
#define DISPID_ENCODER_SENDSCRIPT       1106
#define DISPID_ENCODER_ENABLEAUTOARCHIVE          1107
#define DISPID_ENCODER_RECORDINGLEVEL   1108
#define DISPID_ENCODER_RECORDINGMUTE    1109
#define DISPID_ENCODER_SOURCEGROUP_COLLECTION     1110
#define DISPID_ENCODER_AUDIODEVICE_COLLECTION     1111
#define DISPID_ENCODER_VIDEODEVICE_COLLECTION     1112
#define DISPID_ENCODER_DISPLAYINFO      1113
#define DISPID_ENCODER_ATTRIBUTES       1114
#define DISPID_ENCODER_BROADCAST        1115
#define DISPID_ENCODER_FILE             1116
#define DISPID_ENCODER_ENCODERUI        1117
#define DISPID_ENCODER_RUNSTATE         1118
#define DISPID_ENCODER_ERRORSTATE       1119
#define DISPID_ENCODER_ARCHIVESTATE     1120
#define DISPID_ENCODER_PAUSE            1121
#define DISPID_ENCODER_STATISTICS       1122
#define DISPID_ENCODER_PREPARETOENCODE  1123
#define DISPID_ENCODER_PROFILE_COLLECTION       1124
#define DISPID_ENCODER_RESET                    1125
#define DISPID_ENCODER_SOURCEPLUGIN_MANAGER     1126
#define DISPID_ENCODER_TRANSFORMPLUGIN_MANAGER  1127
#define DISPID_ENCODER_LOCALEID  	    1128	
#define DISPID_ENCODER_AUTOSTOP  	    1129	
#define DISPID_ENCODER_NAME             1130
#define DISPID_ENCODER_REMOTEADMIN      1131
#define DISPID_ENCODER_GENERATEBROADCASTINFO    1132
#define DISPID_ENCODER_INDEXERSTATE             1133
#define DISPID_ENCODER_STATS_AUDIOLEVEL         1134
#define DISPID_ENCODER_AUTOINDEX                1135
#define DISPID_ENCODER_INDEXER                  1136

#define DISPID_ENCODEREVENT_STATECHANGE	            1150
#define DISPID_ENCODEREVENT_ERROR	                1151
#define DISPID_ENCODEREVENT_ARCHIVESTATECHANGE	    1152
#define DISPID_ENCODEREVENT_CONFIGCHANGE            1153
#define DISPID_ENCODEREVENT_CLIENTCONNECT           1154
#define DISPID_ENCODEREVENT_CLIENTDISCONNECT        1155
#define DISPID_ENCODEREVENT_SRCSTATECHANGE	        1156
#define DISPID_ENCODEREVENT_INDEXERSTATECHANGE	    1157

#define DISPID_BROADCAST_START          1200
#define DISPID_BROADCAST_END            1249

#define DISPID_BROADCAST_PORTNUMBER     1200

#define DISPID_ENCODER_STATS_WMFOUTPUT          1250
#define DISPID_ENCODER_STATS_STREAMOUTPUT       1251
#define DISPID_ENCODER_STATS_ENCODINGTIME       1252
#define DISPID_ENCODER_STATS_NETCONNECTION      1253
#define DISPID_ENCODER_STATS_FILEARCHIVE        1254
#define DISPID_ENCODER_STATS_STREAMOUTPUTCOUNT  1255
#define DISPID_ENCODER_STATS_INDEXER            1256

#define DISPID_ENCODER_NETCONNECT_CLIENTCOUNT    1260
#define DISPID_ENCODER_NETCONNECT_CLIENTINFO     1261

#define DISPID_ENCODER_OUTSTATS_SAMPLECOUNT         1270
#define DISPID_ENCODER_OUTSTATS_BYTECOUNT           1271
#define DISPID_ENCODER_OUTSTATS_DROPPEDSAMPLECOUNT  1272
#define DISPID_ENCODER_OUTSTATS_DROPPEDBYTECOUNT    1273
#define DISPID_ENCODER_OUTSTATS_CURRENTBITRATE      1274
#define DISPID_ENCODER_OUTSTATS_AVERAGEBITRATE      1275
#define DISPID_ENCODER_OUTSTATS_EXPECTEDBITRATE     1276
#define DISPID_ENCODER_OUTSTATS_CURRENTSAMPLERATE   1277
#define DISPID_ENCODER_OUTSTATS_AVERAGESAMPLERATE   1278
#define DISPID_ENCODER_OUTSTATS_EXPECTEDSAMPLERATE  1279

#define DISPID_ENCODER_FILEARCHIVESTATS_OUTPUTFILESIZE      1280
#define DISPID_ENCODER_FILEARCHIVESTATS_OUTPUTFILEDURATION  1281
#define DISPID_ENCODER_FILEARCHIVESTATS_RUNSTATE            1282

#define DISPID_INDEXERSTATS_FILECOUNT                       1290
#define DISPID_INDEXERSTATS_FILENAME                        1291
#define DISPID_INDEXERSTATS_PERCENTCOMPLETE                 1292

#define DISPID_ENCODERAPP_START             1300
#define DISPID_ENCODERAPP_END               1399

#define DISPID_ENCODERAPP_ENCODER           1300
#define DISPID_ENCODERAPP_VISIBLE           1301
#define DISPID_ENCODERAPP_TOP               1302
#define DISPID_ENCODERAPP_LEFT              1303
#define DISPID_ENCODERAPP_WIDTH             1304
#define DISPID_ENCODERAPP_HEIGHT            1305
#define DISPID_ENCODERAPP_UILOCK            1306
#define DISPID_ENCODERAPP_DISPLAYWIDTH      1307
#define DISPID_ENCODERAPP_DISPLAYHEIGHT     1308
#define DISPID_ENCODERAPP_GETPROPERTY       1309
#define DISPID_ENCODERAPP_SETPROPERTY       1310
#define DISPID_ENCODERAPP_SAVEPROPERTIES    1311

#define DISPID_ENCODERAPPEVENT_START        1400
#define DISPID_ENCODERAPPEVENT_END          1499

#endif // __WMSCONFIGDISPID_H_